From 3b79123058233910956b990bcc3dd06bb6365a3e Mon Sep 17 00:00:00 2001
From: Bruce Ashfield <bruce.ashfield@windriver.com>
Date: Fri, 29 Jul 2016 10:06:59 -0400
Subject: [PATCH] linux-yocto/4.1: qemuppc and qemumips build fixes

The v4.1.28 -stable update broke the build for some ppc and mips
platforms. We fix the errors by backporting a missing commit for
ppc:

  powerpc/tm: Abort syscalls in active transactions

And by reverting a commit for mips (rather than backporting more
changes to -mm):

  Revert "MIPS: Reserve nosave data for hibernation"

Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
---
 meta/recipes-kernel/linux/linux-yocto-rt_4.1.bb   | 2 +-
 meta/recipes-kernel/linux/linux-yocto-tiny_4.1.bb | 2 +-
 meta/recipes-kernel/linux/linux-yocto_4.1.bb      | 8 ++++----
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/meta/recipes-kernel/linux/linux-yocto-rt_4.1.bb b/meta/recipes-kernel/linux/linux-yocto-rt_4.1.bb
index 49157902ab59..417106217280 100644
--- a/meta/recipes-kernel/linux/linux-yocto-rt_4.1.bb
+++ b/meta/recipes-kernel/linux/linux-yocto-rt_4.1.bb
@@ -12,7 +12,7 @@ python () {
 }
 
 SRCREV_machine ?= "0b68498784da5defb7658675e37d9bc615cd4c50"
-SRCREV_meta ?= "afbc6bd00e6fa854ae10eb67ab8c3be5112f6f41"
+SRCREV_meta ?= "0d6de63d4603b9cc3a4a68391bcb5156b9b0cf96"
 
 SRC_URI = "git://git.yoctoproject.org/linux-yocto-4.1.git;branch=${KBRANCH};name=machine \
            git://git.yoctoproject.org/yocto-kernel-cache;type=kmeta;name=meta;branch=yocto-4.1;destsuffix=${KMETA}"
diff --git a/meta/recipes-kernel/linux/linux-yocto-tiny_4.1.bb b/meta/recipes-kernel/linux/linux-yocto-tiny_4.1.bb
index 9187f8542975..08b931ca9ff7 100644
--- a/meta/recipes-kernel/linux/linux-yocto-tiny_4.1.bb
+++ b/meta/recipes-kernel/linux/linux-yocto-tiny_4.1.bb
@@ -10,7 +10,7 @@ KMETA = "kernel-meta"
 KCONF_BSP_AUDIT_LEVEL = "2"
 
 SRCREV_machine ?= "44af900716206d4cae283aa74e92f4118720724a"
-SRCREV_meta ?= "afbc6bd00e6fa854ae10eb67ab8c3be5112f6f41"
+SRCREV_meta ?= "0d6de63d4603b9cc3a4a68391bcb5156b9b0cf96"
 
 PV = "${LINUX_VERSION}+git${SRCPV}"
 
diff --git a/meta/recipes-kernel/linux/linux-yocto_4.1.bb b/meta/recipes-kernel/linux/linux-yocto_4.1.bb
index fb10f40811a3..ef3d000a2f6d 100644
--- a/meta/recipes-kernel/linux/linux-yocto_4.1.bb
+++ b/meta/recipes-kernel/linux/linux-yocto_4.1.bb
@@ -13,13 +13,13 @@ KBRANCH_qemumips64 ?= "standard/mti-malta64"
 
 SRCREV_machine_qemuarm ?= "460340f28dd4ed608fd66692bcbac0bb24fe4aaf"
 SRCREV_machine_qemuarm64 ?= "44af900716206d4cae283aa74e92f4118720724a"
-SRCREV_machine_qemumips ?= "9b9337aa156bd3bcf3e813455e4bbdc2895c4da1"
-SRCREV_machine_qemuppc ?= "44af900716206d4cae283aa74e92f4118720724a"
+SRCREV_machine_qemumips ?= "0ff21b2a5e92defa32b7cb76d39980b63a2eb5ca"
+SRCREV_machine_qemuppc ?= "6bd2872ce7e397d285f7df00f4d0efac286e2401"
 SRCREV_machine_qemux86 ?= "44af900716206d4cae283aa74e92f4118720724a"
 SRCREV_machine_qemux86-64 ?= "44af900716206d4cae283aa74e92f4118720724a"
-SRCREV_machine_qemumips64 ?= "cb03bb92ed4d45c55e7a8ecfcca714f9897da96b"
+SRCREV_machine_qemumips64 ?= "248861985b609d1cd24e8d23b7d15abfb31cbdc2"
 SRCREV_machine ?= "44af900716206d4cae283aa74e92f4118720724a"
-SRCREV_meta ?= "afbc6bd00e6fa854ae10eb67ab8c3be5112f6f41"
+SRCREV_meta ?= "0d6de63d4603b9cc3a4a68391bcb5156b9b0cf96"
 
 SRC_URI = "git://git.yoctoproject.org/linux-yocto-4.1.git;name=machine;branch=${KBRANCH}; \
            git://git.yoctoproject.org/yocto-kernel-cache;type=kmeta;name=meta;branch=yocto-4.1;destsuffix=${KMETA}"
-- 
2.5.0

